#define NOFOOTER

#include "my_testlib.h"

#define forn(i, n) for (int i = 0; i < (int)(n); i++)

const int N = 60;
const int K = 15;
const int C = 1000;

int n, k, x[N], y[N];

int main(int, char *[])
{
  registerValidation();
  n = inf.readInt(3, N);
  inf.readSpace();
  k = inf.readInt(1, K);
  inf.readEoln();
  forn(i, n)
  {
    x[i] = inf.readInt(0, C);
    inf.readSpace();
    y[i] = inf.readInt(0, C);
    inf.readEoln();
  }
  inf.readEof();
  forn(i, n)
    forn(j, i)
      ensure(!(x[i] == x[j] && y[i] == y[j]));
  forn(i, n)
    forn(j, i)
      forn(k, j)
        ensure((x[i] - x[k]) * (y[j] - y[k]) != (x[j] - x[k]) * (y[i] - y[k]));
  return 0;
}
